AstrologyAPI

Use access token to call astrology api.

Learn More

Timezone with DST

POSThttps://json.astrologyapi.com/v1/timezone_with_dst
Copy

Returns the timezone offset (including DST) for a specific latitude and longitude  (based on country/timezone ID from geo_details) on a given date.

POST/timezone_with_dst
Copy
1curl --location 'https://json.astrologyapi.com/v1/timezone_with_dst' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "latitude": 25.7464,
6    "longitude": 82.6837,
7    "date": "06-27-2000"
8}'
9
200Response
Copy
1{
2  "status": true,
3  "timezone": 5.5,
4  "timezone_in_ms": 19800000,
5  "date": "1992-12-01T00:00:00.000Z"
6}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - en

Request Body (JSON)

latitude

float

required

latitude , eg: 19.23232

longitude

float

required

longitude, eg: 72.23234

date

string

date, eg: '12-5-1993' // 'mm-dd-yyyy'

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.